#
# spec file for package python-pyaml
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyaml
Version:        24.4.0
Release:        1.1
Summary:        Python module to produce formatted YAML-serialized data
License:        WTFPL
Group:          Development/Languages/Python
URL:            https://github.com/mk-fg/pretty-yaml
Source:         https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module Unidecode}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Recommends:     python-Unidecode
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
PyYAML-based python module to produce formatted YAML-serialized data.

%prep
%setup -q -n pyaml-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}/%{_bindir}/pyaml
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative pyaml

%postun
%python_uninstall_alternative pyaml

%files %{python_files}
%license COPYING
%doc README.rst
%python_alternative %{_bindir}/pyaml
%{python_sitelib}/pyaml
%{python_sitelib}/pyaml-%{version}*-info

%changelog
* Sun Apr 21 2024 Dirk Müller <dmueller@suse.com>
- update to 24.4.0:
  * cli: suppress BrokenPipe tracebacks for closed stdout
  * cli: support multi-doc input/output, add -l/--lines option
    to pretty-print json logs and such
  * README: correct simplier -> simpler misspelling
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 23.12.0:
  * no upstream changelog
* Sat Dec 11 2021 Ben Greiner <code@bnavigator.de>
- update to 21.10.1
  * no changelog
- fit for python310
* Thu May 27 2021 pgajdos@suse.com
- version update to 20.4.0
  * no upstream changelog found
- %%check: use %%pytest rpm macro
* Thu Mar 19 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 20.3.1
  * Add -r/--replace command-line option
* Wed May 15 2019 Gary Smith <GSmith@suse.com>
- Update to version 19.4.1
  * no changelog available
* Mon Sep 10 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description. Use noun phrasing.
* Fri Aug 31 2018 Martin Pluskal <mpluskal@suse.com>
- Update to version 17.12.1:
  * Internal changes
- Drop some useless dependencies and conditions
* Fri Nov 10 2017 arun@gmx.de
- update to version 17.10.0:
  * README: add link to ruamel.yaml module as a parser counterpart
- changes from version 17.8.0:
  * Represent numpy arrays as lists, as per #24
- changes from version 17.7.2:
  * allow line width to be passed in throguh cli
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
